summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Stefano Guidoni2010-09-18 17:58:33 +0200
committer Robby Workman2010-09-22 05:09:39 +0200
commitda9186e9a5b1c2c698a02fbed291f641279c38d0 (patch)
tree882db4de2cbd757801ca2c03fd7649a8737281e0 /games
parentfe011b7b52d163deedeb7090f861193b9746aacf (diff)
downloadslackbuilds-da9186e9a5b1c2c698a02fbed291f641279c38d0.tar.gz
games/bluemoon: Added (card game)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/bluemoon/README6
-rw-r--r--games/bluemoon/bluemoon.SlackBuild87
-rw-r--r--games/bluemoon/bluemoon.desktop75
-rw-r--r--games/bluemoon/bluemoon.info12
-rw-r--r--games/bluemoon/bluemoon.pngbin0 -> 4871 bytes
-rw-r--r--games/bluemoon/doinst.sh3
-rw-r--r--games/bluemoon/slack-desc19
7 files changed, 202 insertions, 0 deletions
diff --git a/games/bluemoon/README b/games/bluemoon/README
new file mode 100644
index 0000000000..6da4866b85
--- /dev/null
+++ b/games/bluemoon/README
@@ -0,0 +1,6 @@
+Blue Moon AI is a project to create an artificial intelligence
+opponent for the card game Blue Moon.
+All eight of the original Blue Moon people decks are supported,
+as well as the more recent Buka Invasion deck.
+Rules for the game can be found in /usr/doc/bluemoon-*.
+
diff --git a/games/bluemoon/bluemoon.SlackBuild b/games/bluemoon/bluemoon.SlackBuild
new file mode 100644
index 0000000000..f6d875d27b
--- /dev/null
+++ b/games/bluemoon/bluemoon.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for Blue Moon AI
+
+# Written by Stefano Guidoni <s.guidoni@katamail.com>
+
+PRGNAM=bluemoon
+VERSION=${VERSION:-1.3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/bluemoonrules.pdf > $PKG/usr/doc/$PRGNAM-$VERSION/bluemoonrules.pdf
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy icon and desktop entry
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+mkdir -p $PKG/usr/share/applications
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/bluemoon/bluemoon.desktop b/games/bluemoon/bluemoon.desktop
new file mode 100644
index 0000000000..f087d2ad08
--- /dev/null
+++ b/games/bluemoon/bluemoon.desktop
@@ -0,0 +1,75 @@
+[Desktop Entry]
+Name=Blue Moon
+GenericName=Card Game
+GenericName[af]=Kaart Speletjie
+GenericName[be]=Картачная гульня
+GenericName[bn]=তাস খেলা
+GenericName[br]=C'hoari kartennoù
+GenericName[ca]=Joc de cartes
+GenericName[ca@valencia]=Joc de cartes
+GenericName[cs]=Karty
+GenericName[cy]=Gêm Cerdiau
+GenericName[da]=Kortspil
+GenericName[de]=Offiziersskat
+GenericName[el]=Παιχνίδι χαρτιών
+GenericName[en_GB]=Card Game
+GenericName[eo]=Kartludo
+GenericName[es]=Juego de cartas
+GenericName[et]=Kaardimäng
+GenericName[eu]=Karta-jokoa
+GenericName[fa]=بازی ورق
+GenericName[fi]=Korttipeli
+GenericName[fr]=Jeu de cartes
+GenericName[ga]=Cluiche Cártaí
+GenericName[gl]=Xogo de cartas
+GenericName[he]=משחק קלפים
+GenericName[hne]=तास वाले खेल
+GenericName[hr]=Kartaška igra
+GenericName[hu]=Kártyajáték
+GenericName[is]=Spil
+GenericName[it]=Gioco di carte
+GenericName[ja]=カードゲーム
+GenericName[km]=ល្បែង​បៀ
+GenericName[ko]=카드 게임
+GenericName[lt]=Kortų žaidimas
+GenericName[lv]=Kāršu spēle
+GenericName[mk]=Игра со карти
+GenericName[nb]=Kortspill
+GenericName[nds]=Koortenspeel
+GenericName[ne]=ताश खेल
+GenericName[nl]=Kaartspel
+GenericName[nn]=Kortspel
+GenericName[oc]=Jòc de cartas
+GenericName[pa]=ਤਾਸ਼ ਖੇਡ
+GenericName[pl]=Gra karciana
+GenericName[pt]=Jogo de Cartas
+GenericName[pt_BR]=Jogo de Cartas
+GenericName[ro]=Un joc de cărți
+GenericName[ru]=Карточная игра
+GenericName[se]=Goartaspeallu
+GenericName[sk]=Kartová hra
+GenericName[sl]=Igra s kartami
+GenericName[sr]=Игра са картама
+GenericName[sr@ijekavian]=Игра са картама
+GenericName[sr@ijekavianlatin]=Igra sa kartama
+GenericName[sr@latin]=Igra sa kartama
+GenericName[sv]=Kortspel
+GenericName[ta]=அட்டை விளையாட்டு
+GenericName[te]=పేక ఆట
+GenericName[tg]=Бозии Кортҳо
+GenericName[tr]=İskambil Oyunu
+GenericName[uk]=Гра у карти
+GenericName[uz]=Qarta oʻyini
+GenericName[uz@cyrillic]=Қарта ўйини
+GenericName[vi]=Game thẻ
+GenericName[wa]=Cwårdjeu
+GenericName[xh]=Ikhadi lomdlalo
+GenericName[x-test]=xxCard Gamexx
+GenericName[zh_CN]=牌类游戏
+GenericName[zh_TW]=紙牌遊戲
+Exec=bluemoon
+Icon=bluemoon
+MimeType=
+Terminal=false
+Type=Application
+Categories=Game;CardGame;
diff --git a/games/bluemoon/bluemoon.info b/games/bluemoon/bluemoon.info
new file mode 100644
index 0000000000..2ac05632c7
--- /dev/null
+++ b/games/bluemoon/bluemoon.info
@@ -0,0 +1,12 @@
+PRGNAM="bluemoon"
+VERSION="1.3.2"
+HOMEPAGE="http://keldon.net/bluemoon/"
+DOWNLOAD="http://keldon.net/bluemoon/bluemoon-1.3.2.tar.gz \
+ http://www.fantasyflightgames.com/PDF/bluemoonrules.pdf"
+MD5SUM="86af3a644b2a293a18d0e3d9e86c3279 \
+ 49cd77c48b27c6cd964fd501297e5a2f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Stefano Guidoni"
+EMAIL="s.guidoni@katamail.com"
+APPROVED="dsomero"
diff --git a/games/bluemoon/bluemoon.png b/games/bluemoon/bluemoon.png
new file mode 100644
index 0000000000..44b8f632b3
--- /dev/null
+++ b/games/bluemoon/bluemoon.png
Binary files differ
diff --git a/games/bluemoon/doinst.sh b/games/bluemoon/doinst.sh
new file mode 100644
index 0000000000..3857649f50
--- /dev/null
+++ b/games/bluemoon/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+fi
diff --git a/games/bluemoon/slack-desc b/games/bluemoon/slack-desc
new file mode 100644
index 0000000000..b1e8714944
--- /dev/null
+++ b/games/bluemoon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-------handy-ruler---------------------------------------------------|
+bluemoon: Blue Moon AI (card game)
+bluemoon:
+bluemoon: Blue Moon AI is a project to create an artificial intelligence
+bluemoon: opponent for the game Blue Moon.
+bluemoon: All eight of the original Blue Moon people decks are supported,
+bluemoon: as well as the more recent Buka Invasion deck.
+bluemoon:
+bluemoon: homepage: http://keldon.net/bluemoon/
+bluemoon:
+bluemoon: Rules for the game can be found at:
+bluemoon: http://www.fantasyflightgames.com/PDF/bluemoonrules.pdf